Name:		xsupplicant
Summary:	Open Source Implementation of IEEE 802.1x
Version:	1.2.2
Release:	7%{?dist}
License:	GPL
Group:		System Environment/Base
URL:		http://www.open1x.org/
Source0:	http://download.sourceforge.net/open1x/xsupplicant-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	openssl-devel, bison, flex, openjade, lynx, jadetex
BuildRequires:	docbook-dtds, docbook-style-dsssl, wireless-tools
Patch0:		xsupplicant-1.2.1-docsfix.patch
Patch1:		xsupplicant-1.2.2-buf.patch

%description
This software allows a GNU/Linux or BSD workstation to authenticate with
a RADIUS server using 802.1x and various EAP protocols.  The intended
use is for computers with wireless LAN connections to complete a strong
authentication before joining the network.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

perl -pi.orig -e 's|/lib\b|/%{_lib}|g' configure*

%build
%configure
make %{?_smp_mflags}
cd doc
./builddocs.sh
cd ..

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

install -D -m0600 etc/xsupplicant.conf $RPM_BUILD_ROOT%{_sysconfdir}/xsupplicant.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING README doc/html/ doc/txt/ doc/pdf doc/README* etc/*.conf
%config(noreplace) %{_sysconfdir}/xsupplicant.conf
%{_bindir}/config-parser
%{_bindir}/xsup_monitor
%{_bindir}/xsup_set_pwd
%{_bindir}/xsup_get_state
%{_sbindir}/xsupplicant

%changelog
* Tue Jan  3 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2.2-7
- fix a possible bufferoverflow bz 170045

* Tue Nov  5 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.2-6
- compile fix (FC-4 + only)

* Mon Oct 24 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.2-3
- still need half of the docsfix patch

* Mon Oct 24 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.2-2
- needs wireless tools to build

* Mon Oct 24 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.2-1
- bump to 1.2.2, should resolve bz 167467
- all patches obsoleted by upstream cleanups

* Fri Sep 16 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.1-5
- patch to try to resolve bz 167467

* Sun Sep  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.1-4
- use lynx instead of elinks

* Sun Sep  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.1-3
- BR: docbook-dtds, docbook-style-dsssl
- patch to use local docbookx.dtd

* Sun Sep  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.1-2
- the new doc generation tool has some new BR: openjade, elinks, jadetex

* Sat Sep  3 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.1-1
- bump to 1.2.1 release

* Fri Aug 19 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2-1
- bump to 1.2 final

* Sat Aug 13 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2-0.1.pre1
- initial package for Fedora Extras
